BEGIN {col=16;nn=15;ratio=0.50}
NR==1{ amin=$col;amax=$col}
{ a[NR]=$col;t[NR]=$1;
amax=$col>amax?$col:amax
amin=$col<amin?$col:amin
n=NR}
END{#  print amax,amin
range=amax-amin
for (i=0;i<=nn;i++) bin[i]=amin+range/nn*i

for (j=1;j<n;j++) { 
#    print a[j];
    for (i=0;i<=nn-1;i++) {if ( (a[j]>=bin[i])&&(a[j]<=bin[i+1]) &&(t[j]>t[n]*rtio)) { nbin[i]=nbin[i]+t[j+1]-t[j];
#print ">>",j, i,bin[i],bin[i+1],a[j], nbin[i],+t[j+1],t[j], t[n]*ratio;
}}

}
nmode=nbin[1];
mode=1;
for (i=0;i<=nn;i++) { # print bin[i], nbin[i]; 
if (nbin[i]>nmode) { nmode=nbin[i];mode=i}

}
#print mode;

for (j=1;j<n;j++) { 
if ( (a[j]>=bin[mode]) && ( a[j]<=bin[mode+1]) && ( t[j]>t[n]*ratio) ){ 
#"set la '"tit"' at "
print t[j]" "a[j];
#+range/10.0; 
exit;
    }}}








